Page MenuHomePhabricator

cumin aliases not matching any hosts
Closed, ResolvedPublic

Description

The check-cumin-aliases cronjob reports the following issues:

Alias labpuppetmaster matched 0 hosts
Alias db-wmcs matched 0 hosts
Unable to execute query for alias misc-wmcs: Unable to find alias replacement for 'osm' in the configuration

Looking at them individually there seem to be different reasons for that:

a) labpuppetmaster: P{O:wmcs::openstack::main::puppetmaster::frontend or O:wmcs::openstack::main::puppetmaster::backend}

This does not match because the actual roles are now called:

role::wmcs::openstack::eqiad1::puppetmaster::backend
role::wmcs::openstack::eqiad1::puppetmaster::frontend

with the "eqiad1" in it.

b) db-wmcs: P{O:postgres::master or O:labs::db::master}

This looks like it should be matching role::postgres:master at https://tools.wmflabs.org/openstack-browser/puppetclass/role::postgres::master

and the "Wikibrain" instances at https://tools.wmflabs.org/openstack-browser/project/wikibrain but it does not for some reason.

c) misc-wmcs: A:labnet or A:labcontrol or A:labservices or A:labweb or A:osm or A:db-wmcs or P{O:wmcs::monitoring} or A:cloudcontrol or A:cloudnet or A:cloudservices

as the error says, this is because "osm" can't be found elsewhere in the file

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 5:51 PM
colewhite triaged this task as Normal priority.Apr 16 2019, 6:09 PM
jbond added a subscriber: jbond.Apr 24 2019, 9:52 PM

Change 506355 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Update aliases

https://gerrit.wikimedia.org/r/506355

Change 506355 merged by Muehlenhoff:
[operations/puppet@production] Update aliases

https://gerrit.wikimedia.org/r/506355

MoritzMuehlenhoff closed this task as Resolved.Apr 25 2019, 2:14 PM
MoritzMuehlenhoff claimed this task.